Trigger Invoice Refund
curl --request POST \
--url https://app.papelship.com/api/api-store/v1/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "aB9xK12Lp9012345678901234"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoice_id: 'aB9xK12Lp9012345678901234'})
};
fetch('https://app.papelship.com/api/api-store/v1/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/api-store/v1/refunds"
payload = { "invoice_id": "aB9xK12Lp9012345678901234" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/api-store/v1/refunds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoice_id' => 'aB9xK12Lp9012345678901234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/api-store/v1/refunds"
payload := strings.NewReader("{\n \"invoice_id\": \"aB9xK12Lp9012345678901234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Refunds
Trigger Invoice Refund
Initiates a partial or full refund for a completed invoice.
POST
/
api
/
api-store
/
v1
/
refunds
Trigger Invoice Refund
Yetkilendirmeler
BearerAuthApiKeyAuth
Pass your secret API key formatted as: Authorization: Bearer psa_...
Gövde
application/json
Yanıt
200
Refund processed successfully